Ice Reference Documentation
<<< Previous | Slice Documentation | Next >>>

# `Ice::Stats`

## Overview

    local interface Stats

An interface Ice uses to report statistics, such as how much data is sent or received. Applications must provide their own `Stats` by implementing this interface and installing it in a communicator.

### Used By

`Communicator::getStats`, `Communicator::setStats`

### Operation Index

`bytesReceived`

  Callback to report that data has been received.

`bytesSent`

  Callback to report that data has been sent.

## `bytesReceived`

    void bytesReceived(string protocol,
        int num);

Callback to report that data has been received.

### Parameters

`protocol`

  The protocol over which data has been received (for example "tcp", "udp", or "ssl").

`num`

  How many bytes have been received.

## `bytesSent`

    void bytesSent(string protocol,
        int num);

Callback to report that data has been sent.

### Parameters

`protocol`

  The protocol over which data has been sent (for example "tcp", "udp", or "ssl").

`num`

  How many bytes have been sent.

<<< Previous | Home | Next >>>
`Ice::SocketException` | Up | `Ice::SyscallException`